Bug 1295802 - (CVE-2015-8746) CVE-2015-8746 kernel: when NFSv4 migration is executed, kernel oops occurs at NFS client
CVE-2015-8746 kernel: when NFSv4 migration is executed, kernel oops occurs at...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150815,reported=2...
: Security
Depends On: 1290679 1295803 1334733 1334734
Blocks: 1291211
  Show dependency treegraph
 
Reported: 2016-01-05 08:51 EST by Vladis Dronov
Modified: 2016-11-08 11:10 EST (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the Linux kernel: the NFSv4.2 migration code improperly initialized the kernel structure. A local, authenticated user could use this flaw to cause a panic of the NFS client (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladis Dronov 2016-01-05 08:51:03 EST
A flaw was found in the Linux kernel in the NFSv4.2 migration code that can cause a panic of the NFS client due to improperly initialized kernel structure.

References:

An upstream patch: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=18e3b739f
Comment 1 Vladis Dronov 2016-01-05 08:53:05 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1295803]
Comment 3 Vladis Dronov 2016-01-05 09:11:09 EST
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future updates for the respective releases may address the issue.
Comment 5 Adam Mariš 2016-01-06 08:08:48 EST
CVE assignment:

http://seclists.org/oss-sec/2016/q1/27
Comment 8 errata-xmlrpc 2016-11-03 10:51:40 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html
Comment 9 errata-xmlrpc 2016-11-03 15:39:14 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html
Comment 10 errata-xmlrpc 2016-11-03 17:30:46 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html
Comment 11 errata-xmlrpc 2016-11-03 17:46:20 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Note You need to log in before you can comment on or make changes to this bug.